Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.javascript.coffeescript
[Java] Interface CoffeeScriptCompileSpec

    public interface CoffeeScriptCompileSpec

Method Summary
`File` | `getCoffeeScriptJs()`
`File` | `getDestinationDir()`
`CoffeeScriptCompileOptions` | `getOptions()`
`FileCollection` | `getSource()`
`void` | `setCoffeeScriptJs(File coffeeScriptJs)`
`void` | `setDestinationDir(File destinationDir)`
`void` | `setOptions(CoffeeScriptCompileOptions options)`
`void` | `setSource(FileCollection source)`

Method Detail

### getCoffeeScriptJs

    public File getCoffeeScriptJs()

### getDestinationDir

    public File getDestinationDir()

### getOptions

    public CoffeeScriptCompileOptions getOptions()

### getSource

    public FileCollection getSource()

### setCoffeeScriptJs

    public void setCoffeeScriptJs(File coffeeScriptJs)

### setDestinationDir

    public void setDestinationDir(File destinationDir)

### setOptions

    public void setOptions(CoffeeScriptCompileOptions options)

### setSource

    public void setSource(FileCollection source)

Gradle API 1.1-rc-1